Bug 861708 - Detach network from cluster should be possible when network is attached to VM.
Detach network from cluster should be possible when network is attached to VM.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: lpeer
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 03:18 EDT by Meni Yakove
Modified: 2016-02-10 14:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 06:16:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meni Yakove 2012-09-30 03:18:25 EDT
Description of problem:
When network is attached to VM it cannot be detach from the cluster. This operation should be allowed.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create network and attach it to VM.
2. Try to detach the network from the cluster.

  
Actual results:
Failed with error about network is used by VM.

Expected results:
Should succeed to detach the network from cluster
Comment 2 Simon Grinberg 2012-09-30 04:06:33 EDT
Argument for supporting this:
There is no difference between this and any other network, if we allow for detach of a network when there are hosts with this network connected to the cluster then we should allow it. 

Note that removing the network does not remove it's configuration from the hosts so the VMs continue to operate, also note that other networks that we do allow to remove may have even more critical roles (example storage) and yet we do allow for it. 

The only effect of detaching a network from a cluster is making it de-facto as non required while its detached + during this time you won't be able to create new Nic with this network attached or add it to new hosts. 

What should be done is:
1. Convert the blocking to a warning - There are still VMs attached to this network are you sure?
2. Verify that VMs will actually start on hosts that have this network even if the network is not attached to the cluster but yet exist on the host. If not this should also be part of the warning - that only running VMs will continue to run. 

It's should be part of the don't nanny the user policy - what ever is not destructive to current running configuration should be allowed with the proper warning.
Comment 3 Simon Grinberg 2012-09-30 04:09:45 EDT
P.S, 

This detaching is the only method we allow for changing network properties like MTU.
Comment 5 Itamar Heim 2013-12-29 06:16:12 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.